Bug 951685 - pulp-admin client should validate repository listings and return an error if an invalid repo name is given.
Summary: pulp-admin client should validate repository listings and return an error if ...
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Pulp
Classification: Retired
Component: user-experience
Version: unspecified
Hardware: Unspecified
OS: Unspecified
low
unspecified
Target Milestone: ---
: ---
Assignee: pulp-bugs
QA Contact: Preethi Thomas
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-04-12 19:58 UTC by Jim Perrin
Modified: 2015-02-28 21:54 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-28 21:54:49 UTC


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Pulp Redmine 348 0 None None None Never

Description Jim Perrin 2013-04-12 19:58:56 UTC
Description of problem:
If an admin fat-fingers a repository name, no error is given. 

Version-Release number of selected component (if applicable):
2.1.0

How reproducible:
always.

Steps to Reproduce:
1.create repository
2. sync repository
3. see status of repository with typo in name
  
Actual results:
In the below example, this repository doesn't exist. 

[root@mis5labsrv ~]# pulp-admin rpm repo sync run --repo-id fake-repo
+----------------------------------------------------------------------+
                  Synchronizing Repository [fake-repo]
+----------------------------------------------------------------------+

The following resource(s) could not be found:

  fake-repo (repo_id)


[root@mis5labsrv ~]# pulp-admin rpm repo sync status --repo-id fake-repo
+----------------------------------------------------------------------+
                     Repository Status [fake-repo]
+----------------------------------------------------------------------+

The repository is not performing any operations




Expected results:
status should also tell you that the repository doesn't exist. 

Additional info:

Comment 1 Chris Duryee 2014-11-12 01:22:15 UTC
This is still outstanding as of 2.4.3.

$ pulp-admin rpm repo sync status --repo-id fake-repo
+----------------------------------------------------------------------+
                     Repository Status [fake-repo]
+----------------------------------------------------------------------+

The repository is not performing any operations

Comment 2 Brian Bouterse 2015-02-28 21:54:49 UTC
Moved to https://pulp.plan.io/issues/348


Note You need to log in before you can comment on or make changes to this bug.